Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## crypting
Class ManageResults

    java.lang.Object
      crypting.ManageResults

    public class ManageResults

extends java.lang.Object

Metoda pro vykreslování grafů do html.

Field Summary
`static java.lang.String` | `currDir`
`private java.util.ArrayList` | `kryptosystemy`

Constructor Summary
`ManageResults()`

Method Summary
`void` | `CreateGraphWithSingleKey(java.lang.String filename, java.lang.String title)` Metoda pro vytvoření grafu z uživatelského testu.
`static void` | `createChart(java.util.ArrayList RSA, java.util.ArrayList ElGamal, java.util.ArrayList McEliece, java.util.ArrayList Eliptic, java.util.ArrayList Ntru, java.lang.String title, java.lang.String subtitle, java.lang.String xText, java.lang.String yText, java.lang.String filename)` Metoda pro vytvoření grafu z výchozího testu.
`void` | `CreateKeyGraph(java.lang.String system, java.lang.String[] values, java.util.ArrayList list, java.lang.String title, java.lang.String subtitle)` Metoda pro postupné zobrazení výsledků z uživatelského testu.
`static void` | `setCurrDir(java.lang.String currDir)` Metoda pro zapsání cesty, kde se nachází soubory JavaScriptu pro vykreslení grafů.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### kryptosystemy

    private java.util.ArrayList kryptosystemy

### currDir

    public static java.lang.String currDir

Constructor Detail

### ManageResults

    public ManageResults()

Method Detail

### setCurrDir

    public static void setCurrDir(java.lang.String currDir)

  Metoda pro zapsání cesty, kde se nachází soubory JavaScriptu pro vykreslení grafů.

  Parameters:
    `currDir` -

### createChart

    public static void createChart(java.util.ArrayList RSA,
                                   java.util.ArrayList ElGamal,
                                   java.util.ArrayList McEliece,
                                   java.util.ArrayList Eliptic,
                                   java.util.ArrayList Ntru,
                                   java.lang.String title,
                                   java.lang.String subtitle,
                                   java.lang.String xText,
                                   java.lang.String yText,
                                   java.lang.String filename)
                            throws java.io.FileNotFoundException,
                                   java.io.IOException

  Metoda pro vytvoření grafu z výchozího testu.

  Parameters:
    `RSA` -
    `ElGamal` -
    `McEliece` -
    `Eliptic` -
    `Ntru` -
    `title` -
    `subtitle` -
    `xText` -
    `yText` -
    `filename` -
  Throws:
    `java.io.FileNotFoundException`
    `java.io.IOException`

### CreateGraphWithSingleKey

    public void CreateGraphWithSingleKey(java.lang.String filename,
                                         java.lang.String title)
                                  throws java.io.IOException

  Metoda pro vytvoření grafu z uživatelského testu.

  Parameters:
    `filename` -
    `title` -
  Throws:
    `java.io.IOException`

### CreateKeyGraph

    public void CreateKeyGraph(java.lang.String system,
                               java.lang.String[] values,
                               java.util.ArrayList list,
                               java.lang.String title,
                               java.lang.String subtitle)

  Metoda pro postupné zobrazení výsledků z uživatelského testu.

  Parameters:
    `system` -
    `values` -
    `list` -
    `title` -
    `subtitle` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD